<ng-container [formGroup]="carForm">
  <td>{{ car.id }}</td>
  <td><input type="text" formControlName="make" /></td>
  <td><input type="text" formControlName="model" /></td>
  <td><input type="number" formControlName="year" /></td>
  <td><input type="text" formControlName="color" /></td>
  <td><input type="number" formControlName="price" /></td>
  <td>
    <button (click)="doSaveCar()">Save</button>
    <button (click)="cancelCar.emit()">Cancel</button>
  </td>
</ng-container>
